Bug 115970 - Metacity loses Key_up events in high load circumstances
Metacity loses Key_up events in high load circumstances
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Depends On:
  Show dependency treegraph
Reported: 2004-02-17 07:31 EST by D.S. Ljungmark
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-25 15:31:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Cut down event log (21.20 KB, text/plain)
2004-02-17 07:32 EST, D.S. Ljungmark
no flags Details
extended log (512.31 KB, text/plain)
2004-02-17 07:33 EST, D.S. Ljungmark
no flags Details

  None (edit)
Description D.S. Ljungmark 2004-02-17 07:31:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; sv-SE; rv:1.6)
Gecko/20040203 Epiphany/1.0.7

Description of problem:
in "high load" circumstances (lots of windows) The infrequently might
lose a key up event in the case where more keypress events occur

I have added a timestamp to the verbose output of metacity (just the
seconds)  and logged sessions where things go wrong.

The keybind to change desktop, changing through desktops and hitting
"return" and it somehow loses the return, (event is not passed through
to the active window) until you re-press the key which lost the key_up
event. This happens mostly when changing desktops, but also when using
run_command buttons.

Attaching logfiles, first one cut down, second one of a complete session.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. open a load of windows (some ... 40 or so? )
2. bind buttons directly to "go to desktop #" (not
ctrl+shift+left/Right) (3x3 desktops, mapped to numpad)
3. Change desktop a few times
4. Realize keypressess arent registered to windows.

Additional info:

total used free shared buffers cached
Mem: 451668 388688 62980 0 14396 113460
-/+ buffers/cache: 260832 190836
Swap: 979736 60456 919280

Celeron 300, Matrox G200 AGP
Comment 1 D.S. Ljungmark 2004-02-17 07:32:14 EST
Created attachment 97742 [details]
Cut down event log

A cut down event log of it happening.
Comment 2 D.S. Ljungmark 2004-02-17 07:33:01 EST
Created attachment 97743 [details]
extended log

this is a harder log to parse as it includes normal desktop work.
Comment 3 Havoc Pennington 2004-05-25 15:31:45 EDT
Moved to http://bugzilla.gnome.org/show_bug.cgi?id=143154

Note You need to log in before you can comment on or make changes to this bug.